Distribution:	CCux
Packager:	Leif Middelschulte <leif.middelschulte@gmail.com>

Name:		valgrind
Summary:	Valgrind memory debugger
Version:	3.4.1
Release:	1
License:	GNU/GPL 
URL:		http://valgrind.org/
Group:		Development/Other
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: perl

%description
Valgrind is an award-winning suite of tools for debugging and profiling
Linux programs. With the tools that come with Valgrind, you can
automatically detect many memory management and threading bugs, avoiding
hours of frustrating bug-hunting, making your programs more stable. You can
also perform detailed profiling, to speed up and reduce memory use of your
programs.

The Valgrind distribution currently includes five tools: two memory error
detectors, a thread error detector, a cache profiler and a heap profiler.

%package	devel
Summary:	%{name} development headers.
Group:		Development/Other
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.


%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_bindir
%_libdir
%_defaultdocdir
%_mandir

%files devel
%defattr(-,root,root)
%_includedir
%_pkgconfig

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Mar 31 2009 Christian Wasem <wasem@ccux-linux.de> 3.4.1-1
- Version update
* Sat Jan 12 2008 Karsten Brockmann <arcam@ccux-linux.de> 3.3.0-1
- Version update
* Sun Jan 28 2007 Leif Middelschulte <leif.middelschulte@gmail.com> 3.2.2-1
- Initial Release
